#ifndef _PRVCLASS_TLIST_H
#define _PRVCLASS_TLIST_H

struct tlist {
	char **lines;

	/* number of lines in lines table */
	unsigned long nlines;
	/* number of chars in longest line */
	unsigned long nchars;

	/* active line */
	unsigned long active;

	/* first char showed - horiz scrolling */
	unsigned long firstchar;
	/* first line showed - vert scrolling */
	unsigned long firstline;

};

void tlist_cleanup(struct tobj *obj);
int tlist_setup(struct tobj *obj,  struct tobj_fnc *fnc, char **texttab);

#endif
