#ifndef _PRVCLASS_TTEXTBOX_H

#define WRAP (0)
#define WORD (1)
#define CUT  (2)
#define SCROLL (3)

#define MAXLINE (128)

struct ttextbox {

	/* number of lines in buffer */
	unsigned long nlines;
	/* number of chars in longest line in buffer */
	unsigned long nchars;

	/* first char showed - horiz scrolling */
	unsigned long firstchar;
	/* first line showed - vert scrolling */
	unsigned long firstline;

	int formating;
	unsigned int tabsize;

	char **linecache;
};

void ttextbox_cleanup(struct tobj *obj);
int ttextbox_setup(struct tobj *obj , struct tobj_fnc *fnc,
			   char *text, int formating);

#endif
