#ifndef _PRVCLASS_TWIN_H
#define _PRVCLASS_TWIN_H

#include "prvclass/tfamily.h"

struct twin {
	struct tfamily family;
	struct tobj_fnc family_fnc;

	int moveable;
	/* Not used YET */
	int sizeable;

	int changemode;		/* window is in sizing/moving window */

	int frame;
	char *title;
};

void twin_cleanup(struct tobj *obj);
int twin_setup(struct tobj *obj, struct tobj_fnc *fnc, char *title);

#endif
