#ifndef WCHOICE_
#define WCHOICE_

struct tevent;
struct tobj;

#include "mdelete.h"
#include "medit.h"
#include "muse.h"

#ifdef WCHOICE_C_
#include "wedit.h"	// ledit* fnc
#include "wtext.h"	// wtext* fnc
#include "otak.h"	// scr_refresh
#include "sizes.h"	
#include "tsystem.h"
#include "miscfnc.h"	// errexit()
#include "translate.h"
#include "scrdata.h"	// current_drawer
#include "base.h"	// struct drawer def.
#include "baseconfig.h"	// current_stanza
#include "otak.h"	// scr_refresh fnc.
extern int edit_mode;
#endif

int wchoice_service(struct tevent *e);
void wchoice_show(void);
void wchoice_hide(void);
int wchoice_create(struct tobj *rootwin);
void wchoice_free(void);

void mchoice_add(char *s, notifyfnc fnc, long data);
int mchoice_flush(void);
long mchoice_len(void);
char *mchoice_title(void);

#endif

