/*
  otak project.
  copyright (C) 2002, 2003, 2004 
  grzegorz moskal,  <eldevarth@nemerle.org>
  license : gnu gpl version 2 			*/

#define WCHOICE_C_	// this is part of winchoice.c file
#include "wchoice.h"

void del_item_m(struct tobj *obj, long data)
{
	long n = mchoice_len();
	struct item *ij = current_drawer->first;
	
	(void)obj;
	(void)data;
	
	while (n--)
		ij = ij->next;
	del_item(current_drawer, ij);
	scrdata_refresh();
}

// this fnc is calling in cmenu_choice only, don`t call it anywhere else !
void del_item_b(struct tobj *obj, long data)
{
	(void)obj;
	(void)data;

	if (edit_mode)
		return;

	current_drawer = find_drawer_by_stanza(current_stanza);
	if (current_drawer) {
		if (current_drawer->first->next) {
			mdelete_create();
			show_choice();
		} else {
			del_drawer(current_man, current_drawer);
			scrdata_refresh();
		}
	}
}

// create cmenu of choice (which item from this drawer delete ?)
void mdelete_create()
{
	struct item *ij = current_drawer->first;
	
	for (mchoice_flush(); ij; ij = ij->next)
		mchoice_add(ij->caption, &del_item_m, 0);
}
